summaryrefslogtreecommitdiff
path: root/.github/workflows/debian.sh
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-03-12 17:33:22 +0100
committerGitHub <[email protected]>2026-03-12 16:33:22 +0000
commit45d79533d5f0dd5086b99fc740724d4b4e4f1244 (patch)
tree3d2ed92aa0a820d546691c48cb64fe4cc59afad0 /.github/workflows/debian.sh
parent2d248b7e93162e9e2b10193e5e60c3251d59f5ca (diff)
downloadmate-common-45d79533d5f0dd5086b99fc740724d4b4e4f1244.tar.bz2
mate-common-45d79533d5f0dd5086b99fc740724d4b4e4f1244.tar.xz
ci: migrate from Travis CI to GitHub Actions
Replace Travis CI configuration with GitHub Actions workflows. Add CI build workflow for Debian, Fedora, Ubuntu, and Archlinux. Add release workflow for automated GitHub releases on tags. Add dependabot configuration for GHA pin updates. Remove obsolete .travis.yml. remove .build.yml
Diffstat (limited to '.github/workflows/debian.sh')
-rwxr-xr-x.github/workflows/debian.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/.github/workflows/debian.sh b/.github/workflows/debian.sh
new file mode 100755
index 0000000..3248e71
--- /dev/null
+++ b/.github/workflows/debian.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Debian
+requires=(
+ ccache # Use ccache to speed up build
+ meson # Used for meson build
+)
+
+# https://salsa.debian.org/debian-mate-team/mate-common
+requires+=(
+ autoconf
+ git
+ make
+ xz-utils
+)
+
+infobegin "Update system"
+apt-get update -qq
+infoend
+
+infobegin "Install dependency packages"
+env DEBIAN_FRONTEND=noninteractive \
+ apt-get install --assume-yes \
+ ${requires[@]}
+infoend